func.COP.lik.cov <-
function(est,parms) {
  
  
  fitted.values.obj = fit.COP.fitted.values(est,parms)
 
  cov.matrix0 = matrix(NA,length(est),length(est))
  
  mu = fitted.values.obj$mu
  dmuv = fitted.values.obj$dmu/sqrt(mu*(1-mu))
  
  cov.matrix = matrix(NA,length(est),length(est))
  
  qr.obj = qr(dmuv)
  qrank = qr.obj$rank
  
  rr = qr.R(qr(dmuv))[1:qrank,1:qrank]
  if (qrank==1) rr = as.matrix(rr)
  rri = backsolve(rr,diag(rep(1,dim(rr)[1])))
  cov.matrix[qr.obj$pivot[1:qrank],qr.obj$pivot[1:qrank]] = rri%*%t(rri)
  
  return(cov.matrix)
}
